---
lang: en
title: 'API docs: socketio.defaultsocketiosequence'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.defaultsocketiosequence.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [DefaultSocketIoSequence](./socketio.defaultsocketiosequence.md)

## DefaultSocketIoSequence class

**Signature:**

```typescript
export declare class DefaultSocketIoSequence implements SocketIoSequence 
```
**Implements:** [SocketIoSequence](./socketio.socketiosequence.md)

## Constructors

<table><thead><tr><th>

Constructor


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[(constructor)(context, controller, invoke, send, reject)](./socketio.defaultsocketiosequence._constructor_.md)


</td><td>


</td><td>

Constructs a new instance of the `DefaultSocketIoSequence` class


</td></tr>
</tbody></table>

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[context](./socketio.defaultsocketiosequence.context.md)


</td><td>

`protected`


</td><td>

[Context](./context.context.md)


</td><td>


</td></tr>
<tr><td>

[controller](./socketio.defaultsocketiosequence.controller.md)


</td><td>

`protected`


</td><td>

[ControllerClass](./core.controllerclass.md)


</td><td>


</td></tr>
<tr><td>

[invoke](./socketio.defaultsocketiosequence.invoke.md)


</td><td>

`protected`


</td><td>

[SocketIoInvokeMethod](./socketio.socketioinvokemethod.md)


</td><td>


</td></tr>
<tr><td>

[reject](./socketio.defaultsocketiosequence.reject.md)


</td><td>

`protected`


</td><td>

[SocketIoRejectMethod](./socketio.socketiorejectmethod.md)


</td><td>


</td></tr>
<tr><td>

[send](./socketio.defaultsocketiosequence.send.md)


</td><td>

`protected`


</td><td>

[SocketIoSendMethod](./socketio.socketiosendmethod.md)


</td><td>


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[handle(methodName, args, done)](./socketio.defaultsocketiosequence.handle.md)


</td><td>


</td><td>


</td></tr>
</tbody></table>

